Bug 1161912 - too many spaces ...
Summary: too many spaces ...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: file
Version: 7.0
Hardware: Unspecified
OS: Unspecified
low
low
Target Milestone: rc
: ---
Assignee: Jan Kaluža
QA Contact: Stanislav Zidek
URL:
Whiteboard:
: 1162130 (view as bug list)
Depends On:
Blocks: 1110700 1191021
TreeView+ depends on / blocked
 
Reported: 2014-11-09 09:48 UTC by Karel Srot
Modified: 2015-11-19 08:09 UTC (History)
3 users (show)

Fixed In Version: file-5.11-23.el7
Doc Type: Bug Fix
Doc Text:
Clone Of: 664513
Environment:
Last Closed: 2015-11-19 08:09:44 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2015:2155 normal SHIPPED_LIVE Moderate: file security and bug fix update 2015-11-19 08:39:11 UTC

Description Karel Srot 2014-11-09 09:48:59 UTC
the bug is present also on rhel-7

$ file bz664513/bin.iso
bz664513/bin.iso: # ISO 9660 CD-ROM filesystem data 'CDROM                           '

+++ This bug was initially created as a clone of Bug #664513 +++

Description of problem:

file ../ic60/RHEV-toolsSetup_2.3_130.iso 
../ic60/RHEV-toolsSetup_2.3_130.iso: ISO 9660 CD-ROM filesystem data 'RHEV-tools                     '

#---------------------------------------------------------------

[lkocman@dhcp-28-248 ISO]$ file a.txt
a.txt: cannot open `a.txt' (No such file or directory)

^ This one also looks quiet weird with that back-stick ^
#---------------------------------------------------------------


[lkocman@dhcp-28-248 ISO]$ file Fedora-14-i386-DVD.iso 
Fedora-14-i386-DVD.iso: ISO 9660 CD-ROM filesystem data 'Fedora 14 i386 DVD             ' (bootable)


Version-Release number of selected component (if applicable):

file-5.04-5.el6.x86_64

Actual results:

'RHEV-tools                     '
'Fedora 14 i386 DVD             ' (bootable)


Expected results:

'RHEV-tools'
'Fedora 14 i386 DVD' (bootable)

Additional info:

Shouldn't be somehow checked length of the string except of setting some FIXED_LENGTH?

Comment 2 Karel Srot 2015-04-20 14:32:13 UTC
*** Bug 1162130 has been marked as a duplicate of this bug. ***

Comment 7 errata-xmlrpc 2015-11-19 08:09:44 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://rhn.redhat.com/errata/RHSA-2015-2155.html


Note You need to log in before you can comment on or make changes to this bug.